AGRDFFormat (agraph-java-client 5.0.4-SNAPSHOT API)
Description: declaration: package: com.franz.agraph.repository, class: AGRDFFormat

Package com.franz.agraph.repository

# Class AGRDFFormat

java.lang.Object
org.eclipse.rdf4j.common.lang.FileFormat
org.eclipse.rdf4j.rio.RDFFormat
com.franz.agraph.repository.AGRDFFormat

public class AGRDFFormat extends org.eclipse.rdf4j.rio.RDFFormat

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static org.eclipse.rdf4j.rio.RDFFormat`
  `NQUADS`
  `static org.eclipse.rdf4j.rio.RDFFormat`
  `NQX`
  `static org.eclipse.rdf4j.rio.RDFFormat`
  `TRIG`

  ### Fields inherited from class org.eclipse.rdf4j.rio.RDFFormat

  `BINARY, HDT, JSONLD, N3, NDJSONLD, NO_CONTEXTS, NO_NAMESPACES, NO_RDF_STAR, NTRIPLES, RDFA, RDFJSON, RDFXML, SUPPORTS_CONTEXTS, SUPPORTS_NAMESPACES, SUPPORTS_RDF_STAR, TRIGSTAR, TRIX, TURTLE, TURTLESTAR`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AGRDFFormat(String name, String mimeType, Charset charset, String fileExtension, boolean supportsNamespaces, boolean supportsContexts)`

- ## Method Summary

  ### Methods inherited from class org.eclipse.rdf4j.rio.RDFFormat

  `getAcceptParams, getStandardURI, hasStandardURI, supportsContexts, supportsNamespaces, supportsRDFStar`

  ### Methods inherited from class org.eclipse.rdf4j.common.lang.FileFormat

  `equals, getCharset, getDefaultFileExtension, getDefaultMIMEType, getFileExtensions, getMIMETypes, getName, hasCharset, hasDefaultFileExtension, hasDefaultMIMEType, hasFileExtension, hashCode, hasMIMEType, matchFileName, matchMIMEType, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NQUADS

    public static org.eclipse.rdf4j.rio.RDFFormat NQUADS

  - ### TRIG

    public static org.eclipse.rdf4j.rio.RDFFormat TRIG

  - ### NQX

    public static org.eclipse.rdf4j.rio.RDFFormat NQX

- ## Constructor Details

  - ### AGRDFFormat

    public AGRDFFormat(String name, String mimeType, Charset charset, String fileExtension, boolean supportsNamespaces, boolean supportsContexts)